{ config, pkgs, ... }:
{
  programs.mpv = {
    enable = config.home.desktop.enable;
    scripts = with pkgs.mpvScripts; [
      mpris
      sponsorblock
      thumbnail
    ];
    config = {
      volume = 55;
      loop-playlist = "inf";
      osc = "no";
    };
  };
}
