{ lib, ... }:
{
  imports = [
    ./accounts
    ./devices
    ./programs
    ./secrets
    ./services
    ./settings
  ];

  options.system = with lib; {
    desktop.enable = mkEnableOption "Enable desktop apps and services";
    server.enable = mkEnableOption "Enable server apps and services";
  };
}
