{ config, lib, ... }:
{
  boot.supportedFilesystems = {
    btrfs = true;
    ntfs = true;
    zfs = lib.mkIf config.system.server.enable true;
  };

  services = {
    btrfs.autoScrub.enable = true;
    fstrim.enable = true;
  };
}
