{ config, pkgs, ... }:
{
  imports = [
    ./nvidia
    ./nouveau
  ];

  hardware.graphics = {
    enable = config.system.desktop.enable;
    enable32Bit = if config.nixpkgs.hostPlatform.linuxArch == "x86_64" then true else false;
    extraPackages = with pkgs; [
      vulkan-loader
      vulkan-validation-layers
      vulkan-extension-layer
    ];
  };
}
